package com.lz.modules.performance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.R;
import com.lz.modules.performance.dto.ResultTaskDto;
import com.lz.modules.performance.entity.ResultTask;
import com.lz.modules.performance.req.ResultUpdateTaskReq;
import com.lz.modules.performance.res.ResultTaskDetailRes;

import java.util.List;

/**
* <p>
* 任务表 服务类
* </p>
*
* @author quyixiao
* @since 2020-12-08
*/
public interface ResultTaskService extends IService<ResultTask> {



	ResultTask selectResultTaskById(Long id);


	Long insertResultTask(ResultTask resultTask);


	int updateResultTaskById(ResultTask resultTask);


	int updateCoverResultTaskById(ResultTask resultTask);


	int deleteResultTaskById(Long id);

	ResultTaskDetailRes taskDetail(Long detailId);

	R saveOrUpdateResultTask(ResultUpdateTaskReq req, Long userId);



	int deleteResultTasksByDetailId(Long detailId);
    List<ResultTask> selectResultTasksByDetailId(Long detailId);

    R deleteTask(Long taskId,Long userId);

	List<ResultTaskDto> selectResultTaskDtosByDetailId(Long detailId);
}